Mac OS X 10.3.9 Support

Written by Medievaldragon on . Posted in Uncategorized

Blizzard is expanding support to OS X 10.3.9 with installers and updaters for Starcraft, Warcraft 3 and Diablo II.  The minimum requirements to play in Battle.net will be raised.

We plan to look into adopting World of Warcraft’s installer, updater, launcher, and/or downloader applications for the Mac versions of StarCraft, Diablo II, and Warcraft III in the future. This will lead to a change in the minimum Mac system requirements for online play; namely, we’ll be raising the minimum supported Mac OS version to OS X 10.3.9 when the next major patch is released for these titles. Please see our Mac update post for further details.

Be Sociable, Share!